Package org.eclipse.m2m.atl.common.ATL

# Class ATLFactory

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.EFactoryImpl
org.eclipse.m2m.atl.common.ATL.ATLFactory

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EFactory`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory`

public class ATLFactory extends org.eclipse.emf.ecore.impl.EFactoryImpl
The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  - `ATLPackage`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ATLFactory`
`eINSTANCE`
The singleton instance of the factory.

### Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

`EDATE_FORMATS, ePackage`

### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Constructor
Description
`ATLFactory()`
Creates an instance of the factory.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.ecore.EObject`
`create(org.eclipse.emf.ecore.EClass eClass)`
`ActionBlock`
`createActionBlock()`
`Binding`
`createBinding()`
`BindingStat`
`createBindingStat()`
`CalledRule`
`createCalledRule()`
`DropPattern`
`createDropPattern()`
`ExpressionStat`
`createExpressionStat()`
`ForEachOutPatternElement`
`createForEachOutPatternElement()`
`ForStat`
`createForStat()`
`Helper`
`createHelper()`
`IfStat`
`createIfStat()`
`InPattern`
`createInPattern()`
`LazyMatchedRule`
`createLazyMatchedRule()`
`Library`
`createLibrary()`
`LibraryRef`
`createLibraryRef()`
`MatchedRule`
`createMatchedRule()`
`Module`
`createModule()`
`OutPattern`
`createOutPattern()`
`Query`
`createQuery()`
`RuleVariableDeclaration`
`createRuleVariableDeclaration()`
`SimpleInPatternElement`
`createSimpleInPatternElement()`
`SimpleOutPatternElement`
`createSimpleOutPatternElement()`
`Unit`
`createUnit()`
`ATLPackage`
`getATLPackage()`
`static ATLPackage`
`getPackage()`
Deprecated.
`static ATLFactory`
`init()`
Creates the default factory implementation.

### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, convertToString, create, createFromString, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage, split`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eINSTANCE

public static final ATLFactory eINSTANCE
The singleton instance of the factory.

## Constructor Details

### ATLFactory

public ATLFactory()
Creates an instance of the factory.

## Method Details

### init

public static ATLFactory init()
Creates the default factory implementation.

### create

public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

Specified by:
  `create` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createUnit

public Unit createUnit()

### createLibrary

public Library createLibrary()

### createQuery

public Query createQuery()

### createModule

public Module createModule()

### createHelper

public Helper createHelper()

### createMatchedRule

public MatchedRule createMatchedRule()

### createLazyMatchedRule

public LazyMatchedRule createLazyMatchedRule()

### createCalledRule

public CalledRule createCalledRule()

### createInPattern

public InPattern createInPattern()

### createOutPattern

public OutPattern createOutPattern()

### createDropPattern

public DropPattern createDropPattern()

### createSimpleInPatternElement

public SimpleInPatternElement createSimpleInPatternElement()

### createSimpleOutPatternElement

public SimpleOutPatternElement createSimpleOutPatternElement()

### createForEachOutPatternElement

public ForEachOutPatternElement createForEachOutPatternElement()

### createBinding

public Binding createBinding()

### createRuleVariableDeclaration

public RuleVariableDeclaration createRuleVariableDeclaration()

### createLibraryRef

public LibraryRef createLibraryRef()

### createActionBlock

public ActionBlock createActionBlock()

### createExpressionStat

public ExpressionStat createExpressionStat()

### createBindingStat

public BindingStat createBindingStat()

### createIfStat

public IfStat createIfStat()

### createForStat

public ForStat createForStat()

### getATLPackage

public ATLPackage getATLPackage()

### getPackage

@Deprecated public static ATLPackage getPackage()
Deprecated.